Bug 845208 - ctags crashes when parsing an ocaml file
ctags crashes when parsing an ocaml file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ctags (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 05:23 EDT by Jan Synacek
Modified: 2012-08-17 21:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:25:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testfile (2.39 KB, application/octet-stream)
2012-08-02 05:23 EDT, Jan Synacek
no flags Details

  None (edit)
Description Jan Synacek 2012-08-02 05:23:00 EDT
Created attachment 601907 [details]
testfile

Description of problem:
ctags segfaults when parsing an ocaml file

Version-Release number of selected component (if applicable):
5.8.4.fc17

How reproducible:
always

Steps to Reproduce:
1. ctags gmacs.ml
2.
3.
  
Actual results:
ctags segfaults

Expected results:
ctags processes the file correctly

Additional info:
testfile attached
Comment 1 Ngo Than 2012-08-02 07:26:14 EDT
it should be fixed in ctags-5.8-7. could you please try this
http://koji.fedoraproject.org/koji/taskinfo?taskID=4350272

thanks
Comment 2 Jan Synacek 2012-08-02 08:45:23 EDT
Indeed, it doesn't crash with 5.8-7.
Comment 3 Fedora Update System 2012-08-06 09:41:32 EDT
ctags-5.8-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ctags-5.8-7.fc16
Comment 4 Fedora Update System 2012-08-06 09:45:58 EDT
ctags-5.8-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ctags-5.8-7.fc17
Comment 5 Fedora Update System 2012-08-09 19:16:23 EDT
Package ctags-5.8-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ctags-5.8-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11621/ctags-5.8-7.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-17 21:25:24 EDT
ctags-5.8-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-17 21:26:45 EDT
ctags-5.8-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.